Package org.mariadb.jdbc.util.constants

# Enum CatalogTerm

java.lang.Object
java.lang.Enum<CatalogTerm>
org.mariadb.jdbc.util.constants.CatalogTerm

All Implemented Interfaces:
  `Serializable`, `Comparable<CatalogTerm>`, `java.lang.constant.Constable`

public enum CatalogTerm extends Enum<CatalogTerm>
Indicate if metadata search must use Catalog or schema field.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`UseCatalog`
Use catalog field for metadata *
`UseSchema`
Use schema field for metadata *

## Method Summary

Modifier and Type
Method
Description
`static CatalogTerm`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CatalogTerm[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UseCatalog

public static final CatalogTerm UseCatalog
Use catalog field for metadata *

### UseSchema

public static final CatalogTerm UseSchema
Use schema field for metadata *

## Method Details

### values

public static CatalogTerm[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CatalogTerm valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null